> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/publications/templates/edit-template/template-settings-details.md).

# Template settings details

You can add or update templates through [Publications](/pim3/reference/publications.md) > [Templates](/pim3/reference/publications/templates.md).

### Type

The type of template, PDF or XML.

### Name

The name to present the template with.

### Description

The description for the template.

### External reference

An external reference for the template.

### Enable

Determines if the publication template is able to be used in PIM.

### Allow multiple pages

Determines if additional pages are allowed to be included in the rendered publication.

### Combine as single publication

Determines whether to combine multiple products as single publication.

### Enable header

Determines whether to allow rendering of header.

### Enable footer

Determines whether to allow rendering of footer.

### Enable table of contents

Determines whether to allow setup of table of contents.

### Enable category pages

Determines whether to allow setup of multi level category pages.

### Page orientation

Default page orientation for publication. Defaults to Portrait if not set.

### Page size

Default page size for publication. Defaults to A4 if not set.

### Use fallback language

Determines whether to allow rendered value in PIM data to use fallback language value. Only rendered value in data is affected.

### Item limit

Limit for how many items can be generated in a single batch with this template.

### Render engine

Engine to use for rendering. Supported engines are Razor (MVC like syntax), XLST (XML stylesheet), Liquid (Shopify like template language). Defaults to XLST if not set.

### Use real PDF size for rendering

Determines whether to avoid scaling when converting html to PDF.

### Disable base url

Determines whether to disable base url for rendering PDF. This needs to be disabled to use internal anchor in PDF. When disabled relative urls cannot be resolved and needs to be set as absolute.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/pim3/reference/publications/templates/edit-template/template-settings-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
